com.groupdocs.conversion.domain

## Class FileDescription

- java.lang.Object
- - com.groupdocs.conversion.domain.FileDescription

- Direct Known Subclasses:
    CacheFileDescription

      public class FileDescription
      extends Object

  Properties of the file to be converted

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileDescription()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseName()` File name without extension
    `String` | `getExtension()` File extension
    `String` | `getGuid()` File guid
    `long` | `getLastModified()` Last modified
    `String` | `getName()` File name
    `String` | `getPath()`
    `long` | `getSize()` File size
    `void` | `setGuid(String value)` File guid
    `void` | `setLastModified(long value)` Last modified
    `void` | `setName(String value)` File name
    `void` | `setPath(String value)`
    `void` | `setSize(long value)` File size

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileDescription

          public FileDescription()

  - ### Method Detail

    - #### getGuid

          public String getGuid()

      File guid

      Returns:

    - #### setGuid

          public void setGuid(String value)

      File guid

      Parameters:
        `value` -

    - #### getName

          public String getName()

      File name

      Returns:

    - #### setName

          public void setName(String value)

      File name

      Parameters:
        `value` -

    - #### getSize

          public long getSize()

      File size

      Returns:

    - #### setSize

          public void setSize(long value)

      File size

      Parameters:
        `value` -

    - #### getLastModified

          public long getLastModified()

      Last modified

      Returns:

    - #### setLastModified

          public void setLastModified(long value)

      Last modified

      Parameters:
        `value` -

    - #### getBaseName

          public String getBaseName()

      File name without extension

      Returns:

    - #### getExtension

          public String getExtension()

      File extension

      Returns:

    - #### getPath

          public String getPath()

    - #### setPath

          public void setPath(String value)

Copyright © 2017. All rights reserved.